
pro eit_times2data, times, pindex, pdata, full=full, wave=wave, window=window

if n_elements(wave) eq 0 then wave='195'
if n_elements(window) eq 0 then window=[-10,20]
time_window,times, t0, t1, minute=window

full=keyword_set(full)
if full then begin  
   efiles=[eit_files(t0,/full,wave=wave),eit_files(t1,/full,wave=wave)]
endif else begin 
   efiles=eit_files(t0,t1)
   read_eit,efiles,index
   ss=where(index.object eq 'full FOV' and $
         strtrim (gt_tagval(index,/WAVELNTH),2) eq wave ,sscnt)
   if sscnt le 1 then begin 
      box_message,'Dont have 2 or more frames which match search criteria'
      return
   endif
   sss=tim2dset(index,times)
   efiles=efiles(ss(sss))
endelse
stop,'fcheck'
read_eit,efiles,index, data
eit_prep, index, data=data, pindex, pdata, /norm, /cosmic

return
end
